org.freedesktop.icons

## Class DeviceIcon

- Object
- - org.freedesktop.icons.Icon
  - - org.freedesktop.icons.DeviceIcon

-     public class DeviceIcon
      extends Icon

  Named icons representing devices.
  Since:
    4.0.17
  Author:
    Guillaume Mazoyer, Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Icon` | `AC_ADAPTER`
    `static Icon` | `AUDIO_CARD`
    `static Icon` | `AUDIO_INPUT_MICROPHONE`
    `static Icon` | `BATTERY`
    `static Icon` | `CAMERA_PHOTO`
    `static Icon` | `CAMERA_VIDEO`
    `static Icon` | `CAMERA_WEB`
    `static Icon` | `COMPUTER`
    `static Icon` | `DRIVE_HARDDISK`
    `static Icon` | `DRIVE_OPTICAL`
    `static Icon` | `DRIVE_REMOVABLE_MEDIA`
    `static Icon` | `INPUT_GAMING`
    `static Icon` | `INPUT_KEYBOARD`
    `static Icon` | `INPUT_MOUSE`
    `static Icon` | `INPUT_TABLET`
    `static Icon` | `INPUT_TOUCHPAD`
    `static Icon` | `MEDIA_FLASH`
    `static Icon` | `MEDIA_FLOPPY`
    `static Icon` | `MEDIA_OPTICAL`
    `static Icon` | `MEDIA_TAPE`
    `static Icon` | `MODEM`
    `static Icon` | `MULTIMEDIA_PLAYER`
    `static Icon` | `NETWORK_WIRED`
    `static Icon` | `NETWORK_WIRELESS`
    `static Icon` | `PDA`
    `static Icon` | `PHONE`
    `static Icon` | `PRINTER`
    `static Icon` | `SCANNER`
    `static Icon` | `VIDEO_DISPLAY`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AC_ADAPTER

          public static final Icon AC_ADAPTER

    - #### AUDIO_CARD

          public static final Icon AUDIO_CARD

    - #### AUDIO_INPUT_MICROPHONE

          public static final Icon AUDIO_INPUT_MICROPHONE

    - #### BATTERY

          public static final Icon BATTERY

    - #### CAMERA_PHOTO

          public static final Icon CAMERA_PHOTO

    - #### CAMERA_VIDEO

          public static final Icon CAMERA_VIDEO

    - #### CAMERA_WEB

          public static final Icon CAMERA_WEB

    - #### COMPUTER

          public static final Icon COMPUTER

    - #### DRIVE_HARDDISK

          public static final Icon DRIVE_HARDDISK

    - #### DRIVE_OPTICAL

          public static final Icon DRIVE_OPTICAL

    - #### DRIVE_REMOVABLE_MEDIA

          public static final Icon DRIVE_REMOVABLE_MEDIA

    - #### INPUT_GAMING

          public static final Icon INPUT_GAMING

    - #### INPUT_KEYBOARD

          public static final Icon INPUT_KEYBOARD

    - #### INPUT_MOUSE

          public static final Icon INPUT_MOUSE

    - #### INPUT_TABLET

          public static final Icon INPUT_TABLET

    - #### INPUT_TOUCHPAD

          public static final Icon INPUT_TOUCHPAD

    - #### MEDIA_FLASH

          public static final Icon MEDIA_FLASH

    - #### MEDIA_FLOPPY

          public static final Icon MEDIA_FLOPPY

    - #### MEDIA_OPTICAL

          public static final Icon MEDIA_OPTICAL

    - #### MEDIA_TAPE

          public static final Icon MEDIA_TAPE

    - #### MODEM

          public static final Icon MODEM

    - #### MULTIMEDIA_PLAYER

          public static final Icon MULTIMEDIA_PLAYER

    - #### NETWORK_WIRED

          public static final Icon NETWORK_WIRED

    - #### NETWORK_WIRELESS

          public static final Icon NETWORK_WIRELESS

    - #### PDA

          public static final Icon PDA

    - #### PHONE

          public static final Icon PHONE

    - #### PRINTER

          public static final Icon PRINTER

    - #### SCANNER

          public static final Icon SCANNER

    - #### VIDEO_DISPLAY

          public static final Icon VIDEO_DISPLAY